org.apache.cassandra.tools.nodetool

## Class SetCacheKeysToSave

- java.lang.Object
- - org.apache.cassandra.tools.NodeTool.NodeToolCmd
  - - org.apache.cassandra.tools.nodetool.SetCacheKeysToSave

- All Implemented Interfaces:
    java.lang.Runnable

      @Command(name="setcachekeystosave",
               description="Set number of keys saved by each cache for faster post-restart warmup. 0 to disable")
      public class SetCacheKeysToSave
      extends NodeTool.NodeToolCmd

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.tools.NodeTool.NodeToolCmd

      `NodeTool.NodeToolCmd.KeyspaceSet`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SetCacheKeysToSave()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute(NodeProbe probe)`

    - ### Methods inherited from class org.apache.cassandra.tools.NodeTool.NodeToolCmd

      `parseOptionalKeyspace, parseOptionalKeyspace, parseOptionalTables, run`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SetCacheKeysToSave

          public SetCacheKeysToSave()

  - ### Method Detail

    - #### execute

          public void execute(NodeProbe probe)

      Specified by:
        `execute` in class `NodeTool.NodeToolCmd`

Copyright © 2018 The Apache Software Foundation